Support » Plugin: OpenTickets Community Edition » Warning: Parameter 2

  • Hello,

    After installing the plugin I have the following message:

    Warning: Parameter 2 to get_post_type::hide hidden posts_where() expected to be a reference, value given in /htdocs/wp-includes/class-wp-hook.php on line 286

    I am under PHP 7.2.

    Do you have a solution to this?

    Thanks !

Viewing 2 replies - 1 through 2 (of 2 total)
  • Same issue here. We are PHP 7.1. Unfortunately, it completely breaks the site for use. 🙁

    There is a solution to solve this problem:
    in wp-content/plugins/opentickets-community-edition/inc/core/post-type.class.php:990
    change

    public static function hide_hidden_posts_where($where, &$query)

    to

    public static function hide_hidden_posts_where($where, $query)

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this review.